# Contributing

Contributions are welcome, and they are greatly appreciated! Every
little bit helps, and credit will always be given.

You can contribute in many ways:

## Types of Contributions

### Report Bugs

Report bugs at [https://github.com/ondrolexa/pypsbuilder/issues](https://github.com/ondrolexa/pypsbuilder/issues).

If you are reporting a bug, please include:

* Your operating system name and version.
* Any details about your local setup that might be helpful in troubleshooting.
* Detailed steps to reproduce the bug.

### Fix Bugs

Look through the GitHub issues for bugs. Anything tagged with "bug"
is open to whoever wants to implement it.

### Implement Features

Look through the GitHub issues for features. Anything tagged with "feature"
is open to whoever wants to implement it.

### Write Documentation

pypsbuilder could always use more documentation, whether as part of the
official pypsbuilder docs, in docstrings, or even on the web in blog posts,
articles, and such.

### Submit Feedback

The best way to send feedback is to file an issue at [https://github.com/ondrolexa/pypsbuilder/issues](https://github.com/ondrolexa/pypsbuilder/issues).

If you are proposing a feature:

* Explain in detail how it would work.
* Keep the scope as narrow as possible, to make it easier to implement.
* Remember that this is a volunteer-driven project, and that contributions
  are welcome :)

## Get Started!

Ready to contribute? Here's how to set up `pypsbuilder` for local development.

1. Just head over to the [GitHub page](https://github.com/ondrolexa/pypsbuilder) and click the "Fork" button. It's just that simple. Once you've done that, you can use your favorite git client to clone your repo.

2. Create a branch for local development
```
    $ git checkout -b name-of-your-bugfix-or-feature
```
   Now you can make your changes locally.

3. Commit your changes and push your branch to GitHub
```
    $ git add .
    $ git commit -m "Your detailed description of your changes."
    $ git push origin name-of-your-bugfix-or-feature
```
4. Submit a pull request through the GitHub website

## Pull Request Guidelines

Before you submit a pull request, check that it meets these guidelines.

1. If the pull request adds functionality, the docs should be updated. Put
   your new functionality into a function with a docstring, and add the
   feature to the list in README.rst.
